发新帖

Packet Tracer 7.2.2 don't work. Please can you fix it?

metis616 / 2019-11-13 21:37
浏览: 126 / 回复: 3
查看: 126|回复: 3

Packet Tracer 7.2.2 don't work. Please can you fix it?

[复制链接]
收藏
跳转到指定楼层
Hello!

Does not start, error:

/opt/pt/bin/PacketTracer7: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory


5

主题

16

帖子

89

积分

-r--------

Rank: 1

积分
89
granwille 发表于 2019-11-13 23:23:27 | 显示全部楼层
Hello,

This tutorial should help address your exact error: https://linuxhint.com/install_packet_tracer_ubuntu_1804/

1

主题

2

帖子

19

积分

-r--------

Rank: 1

积分
19
metis616 发表于 2019-11-14 22:15:31 | 显示全部楼层
Edited by metis616 at 2019-11-14 22:30

granwille,
Thank you so much,
but I get an error when I try to install libpng12-0:

An error occurred while applying changes: dpkg: error processing archive /tmp/libpng12-0_1.2.50-2+deb8u3_amd64.deb (--install):
unable to install new version of '/usr/lib/x86_64-linux-gnu/libpng12.so.0': No such file or directory
Errors were encountered while processing:
/tmp/libpng12-0_1.2.50-2+deb8u3_amd64.deb

5

主题

16

帖子

89

积分

-r--------

Rank: 1

积分
89
granwille 发表于 2019-11-15 15:42:07 | 显示全部楼层
Edited by granwille at 2019-11-15 15:47

metis616

In the tutorial, they say this:
To download the libpng12-0 library package from Debian Jessie package repository...

It may be that you need to get the correct Debian version. If you are on 15.11 Deepin, that means you are on the stable version, and in that case, you would need to find Debian Stretch. Which is Debian 9. This tutorial explains it for Debian 8.
See this: https://www.howtoinstall.co/en/debian/stretch/libpng12-0 but do this at your own risk.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部